		.sect ".vectors"		; Create a new section for the interrupt vectors
		.align  0x80			; must be aligned on page boundary

		.ref _main				; C entry point
		.ref _timer_interrupt	; timer interrupt function

; Reset vector
RESET:	BD _main		; branch to C entry point
		STM #200,SP		; stack size of 200

; NMI
nmi:	RETE			; enable interrupts and return from one
		NOP
		NOP
		NOP

; Software interrupts (not used)
sint17 .space 4*16
sint18 .space 4*16
sint19 .space 4*16
sint20 .space 4*16
sint21 .space 4*16
sint22 .space 4*16
sint23 .space 4*16
sint24 .space 4*16
sint25 .space 4*16
sint26 .space 4*16
sint27 .space 4*16
sint28 .space 4*16
sint29 .space 4*16
sint30 .space 4*16

; External interrupt 0
int0:	RETE
		NOP
		NOP
		NOP

; External interrupt 1
int1:	RETE
		NOP 
		NOP
		NOP

; External interrupt 2
int2:	RETE
		NOP
		NOP
		NOP

; Timer 0 interrupt
tint0:	B _timer_interrupt
		NOP
		NOP

; McBSP0 receive interrupt
brint0:	RETE
		NOP
		NOP
		NOP

; McBSP0 transmit interrupt
bxint0:	RETE
		NOP
		NOP
		NOP

; DMA channel 0 interrupt
dmac0:	RETE
		NOP
		NOP
		NOP

; Timer 1 interrupt or DMA channel 1 interrupt
tint1:	RETE
		NOP
		NOP
		NOP

; External interrupt 3
int3:	RETE
		NOP
		NOP
		NOP

; HPI interrupt
hpint:	RETE
		NOP
		NOP
		NOP

; McBSP1 receive interrupt
brint1:	RETE
		NOP
		NOP
		NOP

; McBSP1 transmit interrupt
bxint1:	RETE
		NOP
		NOP
		NOP

; DMA channel 4 interrupt
dmac4:	RETE
		NOP
		NOP
		NOP

; DMA channel 5 interrupt
dmac5:	RETE
		NOP
		NOP
		NOP

; Reserved area
		.space 8*16

		.end

